# studio::Dock_Children Class Reference

`#include <dock_children.h>`

Inheritance diagram for studio::Dock_Children:

List of all members.

## Public Member Functions

| Dock_Children ()
| ~Dock_Children ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

Dock_Children::Dock_Children | ( |  | ) |

Todo:
  the combination of set_use_scrolled(false) and add(*tree_view) causes crashes when Dockable::prev_widget_ is left referencing a ChildrenTree that has already been destroyed.

Dock_Children::~Dock_Children | ( |  | ) |

## Member Function Documentation

void Dock_Children::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References synfigapp::Action::create(), and studio::Dockable::get_name().

void Dock_Children::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::clear_previous(), and studio::Dockable::get_name().

The documentation for this class was generated from the following files:

- dock_children.h
- dock_children.cpp